Bug 139427 - makedbm does not include long line in nis map
Summary: makedbm does not include long line in nis map
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ypserv   
(Show other bugs)
Version: 2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-15 22:18 UTC by klaus thorn
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-20 16:22:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description klaus thorn 2004-11-15 22:18:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.6) Gecko/20040113

Description of problem:
When I update my nis maps (cd /var/yp && make) the longest line from
the /etc/group file is rejected with the following words:

Updating group.byname...
makedbm: warning: data too long

and the group-line is printed. It's a line with 1061 characters and a
group with 130 members/entries. Lines with more than 1025 characters
(counted by wc -c) produce the error. spaces do count, the number of
entries seems to be unimportant.

The group is NOT included in the nis/yp map :-(

You may argue that this is a makedbm problem. I guess the ypserv
package has to use a more appropriate db.

Version-Release number of selected component (if applicable):
ypserv-2.12.1-2

How reproducible:
Always

Steps to Reproduce:
1. install and configure ypserv and use it for serving groups
2. create a valid group line in /etc/group with more then 1025 characters
3. cd /var/yp && make
    

Actual Results:  Group is NOT included in nis/yp map. clients do not
get the information which users are in this group, "ypcat group" does
not list this group but all others. The clients DO know that this
group exists and show group ownership of files (with ls) with the
correct name.

Expected Results:  the group with the long entry should have been
included in the nis map. Hey it's only one kilobyte, ypserv is
supposed to scale better ;-)

Additional info:

Well, I have other symptoms related to NIS and do not know whether
they are related (but I want to know all about them):

1. once I had a client say "NIS internal error" when I asked something
with ypcat (it was either "ypcat group" or "ypcat -x" but it is not
reproducable)

2. the server /var/log/messages has errors like:

06:11:06 dateien ypserv[1716]: refused connect from 10.6.1.21:32769 to
procedure ypproc_all (NISDOMAINNAME,services.byname;-4)

06:11:06 dateien ypserv[1716]: refused connect from 10.6.1.21:32769 to
procedure ypproc_match (NISDOMAINNAME,services.byservicename;-4)

08:45:18 dateien ypserv[1716]: refused connect from 10.6.1.26:32768 to
procedure ypproc_match (NISDOMAINNAME,services.byservicename;-4)

Comment 1 Matthew Miller 2005-04-26 16:18:19 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 2 Chris Feist 2005-06-20 16:22:48 UTC
If we modify the maximum number of characters (1024), then we will break
compatability with other existing yp clients/servers.

See 11.3 on http://www.tldp.org/HOWTO/NIS-HOWTO/maps.html to increase the length
of entries, but break compatability with other NIS clients.


Note You need to log in before you can comment on or make changes to this bug.